//
//  SIDUserProfile.h
//  SocialID
//
//  Created by Renato Neves on 4/22/14.
//  Copyright (c) 2014 Coffee Bean Tech. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SIDUserProfile : NSObject

@property NSString *aboutMe;
@property NSArray *addresses;
@property NSString *birthday;
@property NSString *currentLocation;
@property NSString *displayName;
@property NSArray *educations;
@property NSArray *emails;
@property NSString *gender;
@property NSString *hometown;
@property NSString *honors;
@property NSArray *ims;
@property NSString *industry;
@property NSArray *interestedInMeeting;
@property NSArray *interests;
@property NSArray *languagesSpoken;
@property NSArray *likes;
@property NSString *locale;
@property NSString *name;
@property NSString *nickname;
@property NSArray *organizations;
@property NSArray *phoneNumbers;
@property NSString *pictureUrl;
@property NSString *politicalViews;
@property NSString *preferredUsername;
@property NSString *professionalHeadline;
@property NSString *profileUrl;
@property NSDictionary *providers;
@property NSArray *quotes;
@property NSString *relationshipStatus;
@property NSString *religion;
@property NSString *significantOther;
@property NSString *specialties;
@property NSString *status;
@property NSString *updated;
@property NSArray *urls;
@property NSString *utcOffset;
@property NSString *verifiedAccount;
@property NSString *verifiedEmail;

/**
 Creates a new instance from an API Response represented by a dictionary.
 */
+ (instancetype) createFromAPIResponse:(NSDictionary *) attributes;

/**
 Returns the object description.
 */
- (NSString *) description;

@end
