//
//  SIDUser.h
//  SocialID
//
//  Created by Renato Neves on 4/16/14.
//  Copyright (c) 2014 Coffee Bean Tech. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SIDUserProfile.h"

@interface SIDUser : NSObject

@property NSInteger userId;
@property NSString *signedInAt;
@property NSString *signedUpAt;
@property NSString *token;
@property SIDUserProfile *profile;

/**
 Creates a new instance from an API Response represented by a dictionary.
 */
+ (instancetype) createFromAPIResponse:(NSDictionary *) attributes;

/**
 Returns the object description.
 */
- (NSString *) description;

@end
